mingw32: merge checks for mingw-w64 and mingw32-runtime >= 3.15 into one
authorRamiro Polla <ramiro.polla@gmail.com>
Sun, 11 Jul 2010 22:31:41 +0000 (22:31 +0000)
committerRamiro Polla <ramiro.polla@gmail.com>
Sun, 11 Jul 2010 22:31:41 +0000 (22:31 +0000)
Originally committed as revision 24204 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 99cb44b..35bb30a 100755 (executable)
--- a/configure
+++ b/configure
@@ -2271,10 +2271,9 @@ case $target_os in
         objformat="win32"
         enable dos_paths
         check_cflags -fno-common
-        if ! check_cpp_condition _mingw.h "defined (__MINGW64_VERSION_MAJOR)"; then
-            check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
+        check_cpp_condition _mingw.h "defined (__MINGW64_VERSION_MAJOR) || (__MINGW32_MAJOR_VERSION > 3) \
+                                      || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
                 die "ERROR: MinGW runtime version must be >= 3.15."
-        fi
         ;;
     cygwin*)
         target_os=cygwin